[Résolu] Impossible d'installer Gimp

Les utilisateurs français peuvent parler leur langue maternelle ici

Moderator: Laurent85

Post Reply
Vahia
Level 2
Level 2
Posts: 71
Joined: Sun Apr 08, 2018 6:58 am

[Résolu] Impossible d'installer Gimp

Post by Vahia »

Bonjour à tous !

J'ai été surpris de constater que Gimp n'était pas installé automatiquement lorsque j'ai installé Mint il y a quelques jours.
Du coup j'ai voulu l'installer mais ça n'a pas fonctionné :

Code: Select all

vahia@monordi:~$ apt install gimp
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Certains paquets ne peuvent être installés. Ceci peut signifier
que vous avez demandé l'impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n'ont pas encore
été créés ou ne sont pas sortis d'Incoming.
L'information suivante devrait vous aider à résoudre la situation : 

Les paquets suivants contiennent des dépendances non satisfaites :
 gimp : Dépend: libgimp2.0 (>= 2.10.18) mais ne sera pas installé
        Dépend: libgimp2.0 (<= 2.10.18-z) mais ne sera pas installé
        Dépend: libgegl-0.4-0 (>= 0.4.22) mais ne sera pas installé
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».
Y'a un souci avec Gimp ou c'est chez moi que ça cloche ?

Via la logithèque j'ai bien Gimp mais au lieu d'avoir un bouton "installer" vert j'ai "indisponible".

Merci par avance ! :wink:
Last edited by Vahia on Sat Apr 17, 2021 11:17 am, edited 1 time in total.
Aztaroth
Level 2
Level 2
Posts: 66
Joined: Mon Jan 11, 2021 1:48 am

Re: Impossible d'installer Gimp

Post by Aztaroth »

Une possibilité est de l'installer par Flatpak dans le Gestionnaire de Logiciels, ce qui vous assure la dernière version et des mises à jour futures automatiques.
NB : cela suppose que vous avez votre opinion sur Flatpak : certains y voient le futur de l'installation des apps sous Linux (l'app est livrée avec toutes ses dépendances donc pas de risque de lib manquantes), d'autres le fuient comme la peste en avançant des problèmes de sécurité.
Laurent85
Level 17
Level 17
Posts: 7018
Joined: Tue May 26, 2015 10:11 am

Re: Impossible d'installer Gimp

Post by Laurent85 »

Bonjour,
Pour investiguer donne les retours de :

Code: Select all

inxi -Sr
apt policy gimp libgimp2.0 libgegl-0.4-0
apt search ?broken
apt install --simulate
Image
Vahia
Level 2
Level 2
Posts: 71
Joined: Sun Apr 08, 2018 6:58 am

Re: Impossible d'installer Gimp

Post by Vahia »

Voici les retours des commandes demandés :

inxi -Sr :

Code: Select all

System:    Host: monordi Kernel: 5.4.0-72-generic x86_64 bits: 64 Desktop: Cinnamon 4.8.6 Distro: Linux Mint 20.1 Ulyssa 
Repos:     No active apt repos in: /etc/apt/sources.list 
           Active apt repos in: /etc/apt/sources.list.d/official-package-repositories.list 
           1: deb https://mirror.cyberbits.eu/linuxmint/packages ulyssa main upstream import backport
           2: deb http://ftp.rezopole.net/ubuntu focal main restricted universe multiverse
           3: deb http://ftp.rezopole.net/ubuntu focal-updates main restricted universe multiverse
           4: deb http://ftp.rezopole.net/ubuntu focal-backports main restricted universe multiverse
           5: deb http://security.ubuntu.com/ubuntu/ focal-security main restricted universe multiverse
           6: deb http://archive.canonical.com/ubuntu/ focal partner
           Active apt repos in: /etc/apt/sources.list.d/otto-kesselgulasch-gimp-focal.list 
           1: deb http://ppa.launchpad.net/otto-kesselgulasch/gimp/ubuntu focal main
           Active apt repos in: /etc/apt/sources.list.d/vscode.list 
           1: deb [arch=amd64,arm64,armhf] http://packages.microsoft.com/repos/code stable main

apt policy gimp libgimp2.0 libgegl-0.4-0 :

Code: Select all

gimp:
  Installé : (aucun)
  Candidat : 2.10.18-1
 Table de version :
     2.10.18-1 500
        500 http://ftp.rezopole.net/ubuntu focal/universe amd64 Packages
     2.10.14+om-1ubu20.04.7~ppa 500
        500 http://ppa.launchpad.net/otto-kesselgulasch/gimp/ubuntu focal/main amd64 Packages
libgimp2.0:
  Installé : (aucun)
  Candidat : 2.10.18-1
 Table de version :
     2.10.18-1 500
        500 http://ftp.rezopole.net/ubuntu focal/universe amd64 Packages
     2.10.14+om-1ubu20.04.7~ppa 500
        500 http://ppa.launchpad.net/otto-kesselgulasch/gimp/ubuntu focal/main amd64 Packages
libgegl-0.4-0:
  Installé : (aucun)
  Candidat : 1:0.4.18+om-0ubu20.04.18~ppa
 Table de version :
     1:0.4.18+om-0ubu20.04.18~ppa 500
        500 http://ppa.launchpad.net/otto-kesselgulasch/gimp/ubuntu focal/main amd64 Packages
     0.4.22-3 500
        500 http://ftp.rezopole.net/ubuntu focal/universe amd64 Packages

apt search ?broken :

Code: Select all

aucun retour

apt install --simulate :

Code: Select all

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
Vahia
Level 2
Level 2
Posts: 71
Joined: Sun Apr 08, 2018 6:58 am

Re: Impossible d'installer Gimp

Post by Vahia »

Aztaroth wrote:
Fri Apr 16, 2021 6:04 pm
Une possibilité est de l'installer par Flatpak dans le Gestionnaire de Logiciels, ce qui vous assure la dernière version et des mises à jour futures automatiques.
NB : cela suppose que vous avez votre opinion sur Flatpak : certains y voient le futur de l'installation des apps sous Linux (l'app est livrée avec toutes ses dépendances donc pas de risque de lib manquantes), d'autres le fuient comme la peste en avançant des problèmes de sécurité.
J'ai vu passer Flatpak. J'y viendrais si besoin. Mais là je suis quand même très surpris de ne pas pouvoir l'installer de façon classique comme je l'ai toujours fait...
Laurent85
Level 17
Level 17
Posts: 7018
Joined: Tue May 26, 2015 10:11 am

Re: Impossible d'installer Gimp

Post by Laurent85 »

La qualité des ppa ne dépend pas de LM et certains sont cassés ou pas maintenus correctement, supprime le ppa otto-kesselgulasch-gimp-focal puis fais une mise à jour avant d'installer gimp.
Image
Vahia
Level 2
Level 2
Posts: 71
Joined: Sun Apr 08, 2018 6:58 am

Re: Impossible d'installer Gimp

Post by Vahia »

Je ne comprends pas ce qu'il s'est passé.
Impossible d'installer Gimp (il est pas installé d'office normalement dans LM ?). Suite à celà j'ai ajouté le ppa. ça n'a rien changé.
Là je supprime le ppa et maintenant il est possible d'installer Gimp. Allez comprendre...

En tout, une fois de plus, merci pour votre aide à tous les 2 !!!
Laurent85
Level 17
Level 17
Posts: 7018
Joined: Tue May 26, 2015 10:11 am

Re: [Résolu] Impossible d'installer Gimp

Post by Laurent85 »

Gimp n'est pas installé par défaut mais il est disponible à l'installation. Pourquoi avoir ajouté le ppa ?

L'ajout de ce ppa a créé un conflit insoluble dans la base logicielle, en supprimant le ppa tout est rentré dans l'ordre.
Image
Vahia
Level 2
Level 2
Posts: 71
Joined: Sun Apr 08, 2018 6:58 am

Re: [Résolu] Impossible d'installer Gimp

Post by Vahia »

Gimp était marqué comme indisponible dans la logithèque. L'ayant trouvé via apt search j'ai essayé de l'installer mais ça a donné l'erreur que j'ai mis dans mon premier post.
Du coup j'ai cherché des solutions sur le net et j'ai trouvé ce ppa. Mais ça n'a rien changé.

Je pense que le souci que j'ai rencontré devait être dû au fait qu'au moment où j'ai voulu installer Gimp le dépôt devait être en cours de mise à jour. C'est possible ?
Laurent85
Level 17
Level 17
Posts: 7018
Joined: Tue May 26, 2015 10:11 am

Re: [Résolu] Impossible d'installer Gimp

Post by Laurent85 »

Les dépôts nécessitaient une mise à jour, probablement un bug de l'état des dépôts.
Image
Post Reply